-- displayFunctions
--
-- Author RivalBomb

displayFunctions = {};
function displayFunctions.prerequisitesPresent(specializations)
    return true;
end;

function displayFunctions:load(savegame)
	self.playStartUpAnimation = SpecializationUtil.callSpecializationsFunction("playStartUpAnimation");


	self.displayFunctions = {};
	
	local key = "vehicle.displayFunctions.";
	
    self.displayFunctions.allrad = Utils.indexToObject(self.components, getXMLString(self.xmlFile, key.."allrad#index"));
	self.displayFunctions.diffvorne = Utils.indexToObject(self.components, getXMLString(self.xmlFile, key.."diffvorne#index"));
	self.displayFunctions.diffhinten = Utils.indexToObject(self.components, getXMLString(self.xmlFile, key.."diffhinten#index"));
	
end;

function displayFunctions:delete()
	if self.displayFunctions.piepSound ~= nil and self.isClient then
		Utils.deleteSample(self.displayFunctions.piepSound);
	end;
end;

function displayFunctions:mouseEvent(posX, posY, isDown, isUp, button)
end;

function displayFunctions:keyEvent(unicode, sym, modifier, isDown)
end;

function displayFunctions:update(dt)

	-- Allrad und Diffrentiale	
		if self.driveControl ~= nil and self.driveControl.fourWDandDifferentials ~= nil then
			if self.driveControl.fourWDandDifferentials.fourWheel then
			setVisibility(self.displayFunctions.allrad, true);
			
		else
			setVisibility(self.displayFunctions.allrad, false);
			
		end;
			if self.driveControl.fourWDandDifferentials.diffLockFront then
			setVisibility(self.displayFunctions.diffvorne, true);
			
		else
			setVisibility(self.displayFunctions.diffvorne, false);
			
		end;
			if self.driveControl.fourWDandDifferentials.diffLockBack then
			setVisibility(self.displayFunctions.diffhinten, true);
			
		else
			setVisibility(self.displayFunctions.diffhinten, false);
			
		end;         
	end;

end;


function displayFunctions:draw()
end;

function displayFunctions:playStartUpAnimation(speed)
	self:playAnimation(self.startUpAnimation, speed, nil, true);
end;